#include <windows.h>

#ifndef __DG5GLOVELIB_H
#define __DG5GLOVELIB_H


//#include "stdafx.h"


typedef struct
{
	float Finger [5];    // posizione delle dita
	WORD  HFinger[5];    // valore letto dai sensori non normalizzato
	float Pos3D  [3];    // posizione nello spazio
	WORD  HPos3D [3];
	float Angle  [3];    // posizione nello spazio
	WORD  HAngle [3];
	BOOL  Buttons[3];    // stato dei pulsante dell' UC del guanto
}GLOVE_STATE,*LPGLOVE_STATE;


#define ROLL   1
#define PITCH  0
#define YAW    2
#define POSX   0
#define POSY   1
#define POSZ   2
typedef struct
{
 int FingerMinValue[5];    // valore minimo letto per ogni dito    
 int FingerMaxValue[5];    // valore massimo letto per ogni dito
 int PosMinValue[3]; // Lettura minima per il tracker3D
 int PosMaxValue[3]; // Lettura massima per il tracker3D
 int AngleMinValue[3]; // Lettura minima per il tracker3D
 int AngleMaxValue[3]; // Lettura massima per il tracker3D
 int Filter;
 int COMPort;
 int GloveType;
}GLOVE_SETTINGS,* LPGLOVE_SETTINGS;


__declspec(dllimport)  UINT VHand_ErrorCode; // numero di errore 
__declspec(dllimport)  UINT VHand_BlockLen;  // blocco di dati scansionato per ogni lettura
__declspec(dllimport)  HANDLE VHand_OpenComPort(int ComIndex); // Apre la porta di comunicazione del guanto
__declspec(dllimport)  BOOL VHand_CloseComPort(HANDLE port);            // Chiude la porta di comunicazione del guanto
__declspec(dllimport)  BOOL VHand_Encode_Buffer(BYTE * RXBuffer,
										        UINT numbyte,
										        LPGLOVE_STATE GState,
										        LPGLOVE_SETTINGS GSetting,
											    BYTE * VerifyCode); //cerca e Decodifica i pacchetti nel buffer di ricezione

__declspec(dllimport)  BOOL VHand_ReadGloveData(HANDLE port,
												BYTE * GloveBuffer,
												DWORD GloveBufferLen,
												LPGLOVE_STATE State,
												LPGLOVE_SETTINGS GSetting,
												BYTE * Code); // Legge i pacchetti

__declspec(dllimport)  BOOL VHand_SendGloveCommand(HANDLE port,
												   BYTE Command); //invia comandi al guanto

#endif